### org.jfree.layouting.input.style.parser.stylehandler

# Class ListOfValuesReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  BackgroundImageReadHandler, FontFamilyReadHandler, ListOfConstantsReadHandler, PseudoclassReadHandler, TextOverflowEllipsisReadHandler

`public abstract class ListOfValuesReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Creation-Date: 26.11.2005, 19:16:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `ListOfValuesReadHandler()`

  `ListOfValuesReadHandler(int maxCount, boolean distinct)`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `int`

  `getMaxCount()`

  `boolean`

  `isDistinctValues()`

  `protected abstract CSSValue`

  `parseValue(LexicalUnit value)`

## Constructor Details

### ListOfValuesReadHandler

    protected ListOfValuesReadHandler()

### ListOfValuesReadHandler

    protected ListOfValuesReadHandler(int maxCount,
                                      boolean distinct)

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler

### getMaxCount

    public int getMaxCount()

### isDistinctValues

    public boolean isDistinctValues()

### parseValue

    protected abstract CSSValue parseValue(LexicalUnit value)